Get drops
curl --request GET \
--url https://api.lootexplus.com/v1/drops \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lootexplus.com/v1/drops"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lootexplus.com/v1/drops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"chainId": 123,
"contractAddress": "<string>",
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"ownerAddress": "<string>",
"blindboxKey": "<string>",
"imageUrl": "<string>",
"baseUri": "<string>",
"creatorFeeAddress": "<string>",
"creatorFeeBps": 123,
"projectId": "<string>",
"metadataRepoId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"itemsPerPage": 123,
"totalItems": 123,
"currentPage": 123,
"totalPages": 123,
"filter": {},
"sortBy": [
[
"<string>"
]
],
"searchBy": [
"<string>"
],
"search": "<string>",
"select": [
"<string>"
]
},
"links": {
"first": "<string>",
"previous": "<string>",
"current": "<string>",
"next": "<string>",
"last": "<string>"
}
}Drops
Get Drops
GET
/
v1
/
drops
Get drops
Authorizations
Query Parameters
The id of the project
The chain id of the drop
The contract address of the drop
Page number to retrieve.If you provide invalid value the default page number will applied
Example: 1
Default Value: 1
Number of records per page.
Example: 20
Default Value: 20
Max Value: 100
If provided value is greater than max value, max value will be applied.
Parameter to sort by.
To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting
Format: fieldName:DIRECTION
Example: sortBy=id:DESC&sortBy=createdAt:ASC
Default Value: createdAt:DESC
Available Fields
- createdAt
Available options:
createdAt:ASC, createdAt:DESC